API

Enable or disable discounts on category products

POST/api/crm/v2/categories.toggle_discount_statusv2
operationId: categories.toggleDiscountStatus

Enables or disables discounts for category items. If discount_enabled is disabled, the category's items are excluded from discount calculations in promotions.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 1

Request body application/json

object
idintegerrequired

Example: 1

activebooleanrequired

Example: true

Responses

OK

object (Response)
statusstringrequired

Values:successerror

Example: success

One of the options
object

Error details

errorobjectrequired
codeintegerrequired

Error code

variablesobject
descriptionstringrequired

Error description